org.apache.sling.fileoptim

## Interface FileOptimizer

All Known Implementing Classes:
  JpegFileOptimizer, PngFileOptimizer

    @ConsumerType
    public interface FileOptimizer

Interface for File Optimizers to extend to implement

### Method Summary

All Methods Instance Methods Abstract Methods
`@NotNull String` `getName()` Gets the name of the optimizer
`@Nullable byte[]` `optimizeFile(byte[] original, String metaType)` Optimize a single file.

### Method Detail

#### optimizeFile

    @Nullable
    @Nullable byte[] optimizeFile(byte[] original,
                                            String metaType)

Optimize a single file.

Parameters:
  `original` - the original file to optimize
  `metaType` - the type of the file to optimize
Returns:
  the optimized file

#### getName

    @NotNull
    @NotNull String getName()

Gets the name of the optimizer

Returns:
  the name of the optimizer